summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-scheme/jscheme/jscheme-7.2-r1.ebuild')
-rw-r--r--dev-scheme/jscheme/jscheme-7.2-r1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-scheme/jscheme/jscheme-7.2-r1.ebuild b/dev-scheme/jscheme/jscheme-7.2-r1.ebuild
new file mode 100644
index 00000000000..1d8a960fc68
--- /dev/null
+++ b/dev-scheme/jscheme/jscheme-7.2-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit java-utils-2 java-pkg-2
+
+DESCRIPTION="JScheme is a Scheme dialect with a simple Java interface called Javadot notation"
+HOMEPAGE="http://jscheme.sourceforge.net/jscheme/main.html"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND=">=virtual/jdk-1.6:*"
+RDEPEND=">=virtual/jre-1.6
+ ${DEPEND}"
+
+src_compile() {
+ sh bin/make || die "make failed"
+}
+
+src_install() {
+ java-pkg_dojar lib/*.jar
+
+ java-pkg_dolauncher ${PN} \
+ --main jscheme.REPL
+
+ if use doc; then
+ dohtml -r doc || die "dohtml failed"
+ fi
+}